<template>
  <n-global-style />
  <RouterView />
</template>

<script setup>
import { useDialog, useMessage, useNotification } from "naive-ui";
window.$msg = useMessage();
window.$dialog = useDialog();
window.$note = useNotification();
window.$vr = (res, sf, ff) => {
  if (res.code == 1) {
    window.$msg.success(res.msg)
    sf()
  } else {
    window.$msg.error(res.msg)
    ff()
  }
}
</script>

<style scoped></style>
